com.dlsc.flexgantt.swing.treetable

## Class TreeTable.EnumEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - javax.swing.DefaultCellEditor
    - - com.dlsc.flexgantt.swing.DefaultTreeTableCellEditor
      - - com.dlsc.flexgantt.swing.treetable.TreeTable.EnumEditor

- All Implemented Interfaces:
    ITreeTableCellEditor, Serializable, CellEditor, TableCellEditor, TreeCellEditor
  Enclosing class:
    TreeTable

      public static class TreeTable.EnumEditor
      extends DefaultTreeTableCellEditor

  An editor for enumerations.
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor

      `DefaultCellEditor.EditorDelegate`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.DefaultCellEditor

      `clickCountToStart, delegate, editorComponent`

    - ### Fields inherited from class javax.swing.AbstractCellEditor

      `changeEvent, listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumEditor()` Constructs a new editor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.DefaultTreeTableCellEditor

      `getTreeTableCellEditorComponent`

    - ### Methods inherited from class javax.swing.DefaultCellEditor

      `cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTableCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

- - ### Constructor Detail

    - #### EnumEditor

          public EnumEditor()

      Constructs a new editor.
      Since:
        1.0

  - ### Method Detail

    - #### getTreeCellEditorComponent

          public Component getTreeCellEditorComponent(JTree tree,
                                                      Object value,
                                                      boolean isSelected,
                                                      boolean expanded,
                                                      boolean leaf,
                                                      int row)

      Specified by:
        `getTreeCellEditorComponent` in interface `TreeCellEditor`
      Overrides:
        `getTreeCellEditorComponent` in class `DefaultCellEditor`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.